' ----------------------------------------------------------------------------
' NEW OPEN/SAVE DIALOG DEMO       frmNewOpenSaveDialog         Gui Application
'
' May, 14th 2004              by Jacques Philippe                 Version  001
' ----------------------------------------------------------------------------
'
$Include "QSaveDialogNew.Inc"
$Include "QOpenDialogNew.Inc"
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
Declare Sub OnClose_frmNewOpenSaveDialog
'
Create frmNewOpenSaveDialog As QForm
    Center
    Width = 500
    Height = 400
    Caption = "frmNewOpenSaveDialog"
    AutoScroll = False
    OnClose = OnClose_frmNewOpenSaveDialog
    Create rchWin AS QRichEdit
        Align = 5
        Font.Name = "courier"
        Font.Size = 8
        Font.Color = &H800000
        Width = 200
        Height = 200
        ReadOnly = True
        WordWrap = False
        ScrollBars = ssBoth
        HideSelection = False
        PlainText = True
    End Create
End Create
' ----------------------------------------------------------------------------
' *************************************
frmNewOpenSaveDialog.Show
' *************************************
' ----------------------------------------------------------------------------
' SAVE
Dim mySave as QSaveDialogNew
mySave.Filter = "All Files(*.*)|*.*;Picture(*.jpg)|*.jpg"
mySave.InitialDir = "c:\\windows\\Temp\\"
mySave.Caption = "SAVE : Nice Caption"
mySave.FilterIndex = 1
mySave.FileName = "Save.Jpg"
' New Properties
'mySave.DefaultExtension = "xyz"
'mySave.SaveReadOnly = 1
mySave.MultiSelect = 1
mySave.Explorer = 1
'mySave.HideReadOnly = 0
'mySave.OverWritePrompt = 0
rchWin.Addstring ("Dlg Save Returm = " & Str$(mySave.Execute) & "\nFileFir = " _
                & ReplaceSubStr$(mySave.FileName, Chr$(0), Chr$(10)) _
                & "\n***END")
' ----------------------------------------------------------------------------
' OPEN
Dim myOpen as QOpenDialogNew
myOpen.Filter = "All Files(*.*)|*.*;Picture(*.jpg)|*.jpg"
myOpen.InitialDir = "c:\\Windows\\Temp\\"
myOpen.Caption = "OPEN : Nice Caption"
myOpen.FilterIndex = 1
myOpen.FileName = "Open.Jpg"
' New Properties
'myOpen.DefaultExtension = "xyz"
'myOpen.SaveReadOnly = 1
myOpen.MultiSelect = 1
myOpen.Explorer = 1              ' For MultiSElect USE Explorer = 1, File are null separated and double null = end
'myOpen.HideReadOnly = 0
'myOpen.OverWritePrompt = 0
rchWin.Addstring ("Dlg Open Returm = " & Str$(myOpen.Execute) & "\nFileDir = " _
                & ReplaceSubStr$(myOpen.FileName, Chr$(0), Chr$(10))_
                & "\n***END")
' ----------------------------------------------------------------------------
' *************************************
frmNewOpenSaveDialog.Visible = False
frmNewOpenSaveDialog.ShowModal
' *************************************
'
Sub OnClose_frmNewOpenSaveDialog
    Application.Terminate
    End
End Sub
' ----------------------------------------------------------------------------
'
